Bug 4629 - Upgrading to pump-0.7.0-1, now eth0 won't come up
Upgrading to pump-0.7.0-1, now eth0 won't come up
Status: CLOSED ERRATA
Product: Red Hat Linux
Classification: Retired
Component: bootp (Show other bugs)
6.0
i386 Linux
medium Severity medium
: ---
: ---
Assigned To: Erik Troan
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 1999-08-20 12:27 EDT by tunacat
Modified: 2008-05-01 11:37 EDT (History)
0 users

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2000-02-03 11:50:00 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description tunacat 1999-08-20 12:27:54 EDT
I have a networked machine in a DHCP environment.  When I
upgraded to pump-0.7.0-1, my eth0 no longer comes up.  I
downgraded back to the 0.6.4 and everything works fine.

I'm (unfortunately) not very technical with networks, so the
best I can offer is the contents of syslog with logging all
the way up:

Aug 19 18:06:43 a039hry-pc ifup: Determining IP information
for eth0...
Aug 19 18:06:43 a039hry-pc ifup: Determining IP information
for eth0...
Aug 19 18:06:43 a039hry-pc pumpd[902]: breq: opcode: 1
Aug 19 18:06:43 a039hry-pc pumpd[902]: breq: hw: 1
Aug 19 18:06:43 a039hry-pc pumpd[902]: breq: hwlength: 6
Aug 19 18:06:43 a039hry-pc pumpd[902]: breq: hopcount: 0
Aug 19 18:06:43 a039hry-pc pumpd[902]: breq: id: 0xd3ec14d2
Aug 19 18:06:43 a039hry-pc pumpd[902]: breq: secs: 0
Aug 19 18:06:43 a039hry-pc pumpd[902]: breq: flags: 0x   0
Aug 19 18:06:43 a039hry-pc pumpd[902]: breq: ciaddr: 0.0.0.0
Aug 19 18:06:43 a039hry-pc pumpd[902]: breq: yiaddr: 0.0.0.0
Aug 19 18:06:43 a039hry-pc pumpd[902]: breq: server_ip:
0.0.0.0
Aug 19 18:06:43 a039hry-pc pumpd[902]: breq: bootp_gw_ip:
0.0.0.0
Aug 19 18:06:43 a039hry-pc pumpd[902]: breq: hwaddr:
Aug 19 18:06:43 a039hry-pc pumpd[902]: breq: servername:
Aug 19 18:06:43 a039hry-pc pumpd[902]: breq: bootfile:
Aug 19 18:06:43 a039hry-pc pumpd[902]: breq: vendor: 0x63
0x53 0x82 0x63
Aug 19 18:06:43 a039hry-pc pumpd[902]: breq: vendor:  53   1
0x 1
Aug 19 18:06:43 a039hry-pc pumpd[902]: breq: vendor: 0xff
Aug 19 18:06:43 a039hry-pc kernel: eth0: Setting Rx mode to
0 addresses.
Aug 19 18:06:43 a039hry-pc kernel: eth0: Setting Rx mode to
0 addresses.
Aug 19 18:06:43 a039hry-pc kernel: eth0: Setting Rx mode to
1 addresses.
Aug 19 18:06:43 a039hry-pc kernel: eth0: Setting Rx mode to
1 addresses.
Aug 19 18:07:05 a039hry-pc pumpd[902]: bresp: opcode: 2
Aug 19 18:07:05 a039hry-pc pumpd[902]: bresp: hw: 1
Aug 19 18:07:05 a039hry-pc pumpd[902]: bresp: hwlength: 6
Aug 19 18:07:05 a039hry-pc pumpd[902]: bresp: hopcount: 1
Aug 19 18:07:05 a039hry-pc pumpd[902]: bresp: id: 0xd3ec14d2
Aug 19 18:07:05 a039hry-pc pumpd[902]: bresp: secs: 0
Aug 19 18:07:05 a039hry-pc pumpd[902]: bresp: flags: 0x   0
Aug 19 18:07:05 a039hry-pc pumpd[902]: bresp: ciaddr:
0.0.0.0
Aug 19 18:07:05 a039hry-pc pumpd[902]: bresp: yiaddr:
134.177.67.197
Aug 19 18:07:05 a039hry-pc pumpd[902]: bresp: server_ip:
134.177.1.22
Aug 19 18:07:05 a039hry-pc pumpd[902]: bresp: bootp_gw_ip:
134.177.67.1
Aug 19 18:07:05 a039hry-pc pumpd[902]: bresp: hwaddr:
Aug 19 18:07:05 a039hry-pc pumpd[902]: bresp: servername:
Aug 19 18:07:05 a039hry-pc pumpd[902]: bresp: bootfile:
Aug 19 18:07:05 a039hry-pc pumpd[902]: bresp: vendor: 0x63
0x53 0x82 0x63
Aug 19 18:07:05 a039hry-pc pumpd[902]: bresp: vendor:  53
1 0x 2
Aug 19 18:07:05 a039hry-pc pumpd[902]: bresp: vendor:  54
4 0x86 0xb1 0x 1 0x1
Aug 19 18:07:05 a039hry-pc pumpd[902]: bresp: vendor:  51
4 0x 0 0x 1 0x51 0x8
Aug 19 18:07:05 a039hry-pc pumpd[902]: bresp: vendor:  58
4 0x 00x 0 0xa8 0xc
Aug 19 18:07:05 a039hry-pc pumpd[902]: bresp: vendor:  59
4 0x 0 0x 1 0x27 0x5
Aug 19 18:07:05 a039hry-pc pumpd[902]: bresp: vendor:   1
4 0xff 0xff 0xff 0x
Aug 19 18:07:05 a039hry-pc pumpd[902]: bresp: vendor:   3
4 0x86 0xb1 0x43 0x
Aug 19 18:07:05 a039hry-pc pumpd[902]: bresp: vendor:   6
8 0x86 0xb1 0x 1 0x6
Aug 19 18:07:05 a039hry-pc pumpd[902]: bresp: vendor: ++++++
0x86 0xb1 0x 1 0x16
Aug 19 18:07:05 a039hry-pc pumpd[902]: bresp: vendor:  15
25 0x63 0x6f 0x72 0x7
Aug 19 18:07:05 a039hry-pc pumpd[902]: bresp: vendor: ++++++
0x77 0x65 0x73 0x74
Aug 19 18:07:05 a039hry-pc pumpd[902]: bresp: vendor: ++++++
0x2e 0x62 0x61 0x79
Aug 19 18:07:05 a039hry-pc pumpd[902]: bresp: vendor: ++++++
0x6e 0x65 0x74 0x77
Aug 19 18:07:05 a039hry-pc pumpd[902]: bresp: vendor: ++++++
0x6f 0x72 0x6b 0x73
Aug 19 18:07:05 a039hry-pc pumpd[902]: bresp: vendor: ++++++
0x2e 0x63 0x6f 0x6d
Aug 19 18:07:05 a039hry-pc pumpd[902]: bresp: vendor: ++++++
0x2e
Aug 19 18:07:05 a039hry-pc pumpd[902]: bresp: vendor:  44
8 0x86 0xb1 0x 2 0x4
Aug 19 18:07:05 a039hry-pc pumpd[902]: bresp: vendor: ++++++
0x86 0xb1 0x 2 0x51Aug 19 18:07:05 a039hry-pc pumpd[902]:
bresp: vendor:  46   1 0x 8
Aug 19 18:07:05 a039hry-pc pumpd[902]: bresp: vendor: 0xff
Aug 19 18:07:05 a039hry-pc pumpd[902]: got dhcp offer
Aug 19 18:07:05 a039hry-pc pumpd[902]: PUMP: sending second
discover
Aug 19 18:07:05 a039hry-pc pumpd[902]: breq: opcode: 1
Aug 19 18:07:05 a039hry-pc pumpd[902]: breq: hw: 1
Aug 19 18:07:05 a039hry-pc pumpd[902]: breq: hwlength: 6
Aug 19 18:07:05 a039hry-pc pumpd[902]: breq: hopcount: 0
Aug 19 18:07:05 a039hry-pc pumpd[902]: breq: id: 0xd3ec14d2
Aug 19 18:07:05 a039hry-pc pumpd[902]: breq: secs: 0
Aug 19 18:07:05 a039hry-pc pumpd[902]: breq: flags: 0x   0
Aug 19 18:07:05 a039hry-pc pumpd[902]: breq: ciaddr: 0.0.0.0
Aug 19 18:07:05 a039hry-pc pumpd[902]: breq: yiaddr: 0.0.0.0
Aug 19 18:07:05 a039hry-pc pumpd[902]: breq: server_ip:
0.0.0.0
Aug 19 18:07:05 a039hry-pc pumpd[902]: breq: bootp_gw_ip:
0.0.0.0
Aug 19 18:07:05 a039hry-pc pumpd[902]: breq: hwaddr:
Aug 19 18:07:05 a039hry-pc pumpd[902]: breq: servername:
Aug 19 18:07:05 a039hry-pc pumpd[902]: breq: bootfile:
Aug 19 18:07:05 a039hry-pc pumpd[902]: breq: vendor: 0x63
0x53 0x82 0x63
Aug 19 18:07:05 a039hry-pc pumpd[902]: breq: vendor:  57   2
0x 2 0x24
Aug 19 18:07:05 a039hry-pc pumpd[902]: breq: vendor:  55   6
0x 1 0x 3 0x 6 0x
Aug 19 18:07:05 a039hry-pc pumpd[902]: breq: vendor: ++++++
0x1c 0x c
Aug 19 18:07:05 a039hry-pc pumpd[902]: breq: vendor:  51   4
0x 0 0x 0 0x54 0x6
Aug 19 18:07:05 a039hry-pc pumpd[902]: breq: vendor:  53   1
0x 1
Aug 19 18:07:05 a039hry-pc pumpd[902]: breq: vendor: 0xff
Aug 19 18:07:35 a039hry-pc kernel: eth0: Setting Rx mode to
0 addresses.
Aug 19 18:07:35 a039hry-pc kernel: eth0: Setting Rx mode to
0 addresses.
Aug 19 18:07:35 a039hry-pc kernel: eth0: Setting Rx mode to
1 addresses.
Aug 19 18:07:35 a039hry-pc kernel: eth0: Setting Rx modeto
1 addresses.
Aug 19 18:07:35 a039hry-pc pumpd[902]: PUMP: sending
discover
Aug 19 18:07:35 a039hry-pc pumpd[902]: breq: opcode: 1
Aug 19 18:07:35 a039hry-pc pumpd[902]: breq: hw: 1
Aug 19 18:07:35 a039hry-pc pumpd[902]: breq: hwlength: 6
Aug 19 18:07:35 a039hry-pc pumpd[902]: breq: hopcount: 0
Aug 19 18:07:35 a039hry-pc pumpd[902]: breq: id: 0xd3ec14a6
Aug 19 18:07:35 a039hry-pc pumpd[902]: breq: secs: 0
Aug 19 18:07:35 a039hry-pc pumpd[902]: breq: flags: 0x   0
Aug 19 18:07:35 a039hry-pc pumpd[902]: breq: ciaddr: 0.0.0.0
Aug 19 18:07:35 a039hry-pc pumpd[902]: breq: yiaddr: 0.0.0.0
Aug 19 18:07:35 a039hry-pc pumpd[902]: breq: server_ip:
0.0.0.0
Aug 19 18:07:35 a039hry-pc pumpd[902]: breq: bootp_gw_ip:
0.0.0.0
Aug 19 18:07:35 a039hry-pc pumpd[902]: breq: hwaddr:
Aug 19 18:07:35 a039hry-pc pumpd[902]: breq: servername:
Aug 19 18:07:35 a039hry-pc pumpd[902]: breq: bootfile:
Aug 19 18:07:35 a039hry-pc pumpd[902]: breq: vendor: 0x63
0x53 0x82 0x63
Aug 19 18:07:35 a039hry-pc pumpd[902]: breq: vendor:  53   1
0x 1
Aug 19 18:07:35 a039hry-pc pumpd[902]: breq: vendor: 0xff
Aug 19 18:07:36 a039hry-pc pumpd[902]: bresp: opcode: 2
Aug 19 18:07:36 a039hry-pc pumpd[902]: bresp: hw: 1
Aug 19 18:07:36 a039hry-pc pumpd[902]: bresp: hwlength: 6
Aug 19 18:07:36 a039hry-pc pumpd[902]: bresp: hopcount: 1
Aug 19 18:07:36 a039hry-pc pumpd[902]: bresp: id: 0xd3ec14a6
Aug 19 18:07:36 a039hry-pc pumpd[902]: bresp: secs: 0
Aug 19 18:07:36 a039hry-pc pumpd[902]: bresp: flags: 0x   0
Aug 19 18:07:36 a039hry-pc pumpd[902]: bresp: ciaddr:
0.0.0.0Aug 19 18:07:36 a039hry-pc pumpd[902]: bresp:
bootp_gw_ip: 134.177.67.1
Aug 19 18:07:36 a039hry-pc pumpd[902]: bresp: hwaddr:
Aug 19 18:07:36 a039hry-pc pumpd[902]: bresp: servername:
Aug 19 18:07:36 a039hry-pc pumpd[902]: bresp: bootfile:
Aug 19 18:07:36 a039hry-pc pumpd[902]: bresp: vendor: 0x63
0x53 0x82 0x63
Aug 19 18:07:36 a039hry-pc pumpd[902]: bresp: vendor:  53
1 0x 2
Aug 19 18:07:36 a039hry-pc pumpd[902]: bresp: vendor:  54
4 0x86 0xb1 0x 1 0x1
Aug 19 18:07:36 a039hry-pc pumpd[902]: bresp: vendor:  51
4 0x 0 0x 1 0x51 0x8
Aug 19 18:07:36 a039hry-pc pumpd[902]: bresp: vendor:  58
4 0x 0 0x 0 0xa8 0xc
Aug 19 18:07:36 a039hry-pc pumpd[902]: bresp: vendor:  59
4 0x 0 0x 1 0x27 0x5
Aug 19 18:07:36 a039hry-pc pumpd[902]: bresp: vendor:   1
4 0xff 0xff 0xff 0x
Aug 19 18:07:36 a039hry-pc pumpd[902]: bresp: vendor:   3
4 0x86 0xb1 0x43 0x
Aug 19 18:07:36 a039hry-pc pumpd[902]: bresp: vendor:   6
8 0x86 0xb1 0x 1 0x6
Aug 19 18:07:36 a039hry-pc pumpd[902]: bresp: vendor: ++++++
0x86 0xb1 0x 1 0x16
Aug 19 18:07:36 a039hry-pc pumpd[902]: bresp: vendor:  15
25 0x63 0x6f 0x72 0x7
Aug 19 18:07:36 a039hry-pc pumpd[902]: bresp: vendor: ++++++
0x77 0x65 0x73 0x74
Aug 19 18:07:36 a039hry-pc pumpd[902]: bresp: vendor: ++++++
0x2e 0x62 0x61 0x79
Aug 19 18:07:36 a039hry-pc pumpd[902]: bresp: vendor: ++++++
0x6e 0x65 0x74 0x77
Aug 19 18:07:36 a039hry-pc pumpd[902]: bresp: vendor: ++++++
0x6f 0x72 0x6b 0x73
Aug 19 18:07:36 a039hry-pc pumpd[902]: bresp: vendor: ++++++
0x2e 0x63 0x6f 0x6d
Aug 19 18:07:36 a039hry-pc pumpd[902]: bresp: vendor: ++++++
0x2e
Aug 19 18:07:36 a039hry-pc pumpd[902]: bresp: vendor:  44
8 0x86 0xb1 0x 2 0x4
Aug 19 18:07:36 a039hry-pc pumpd[902]: bresp: vendor: ++++++
0x86 0xb1 0x 2 0x51
Aug 19 18:07:36 a039hry-pc pumpd[902]: bresp: vendor:  46
1 0x 8
Aug 19 18:07:36 a039hry-pc pumpd[902]: bresp: vendor: 0xff
Aug 19 18:07:36 a039hry-pc pumpd[902]: got dhcp offer
Aug 19 18:07:36 a039hry-pc pumpd[902]: PUMP: sending second
discover
Aug 19 18:07:36 a039hry-pc pumpd[902]: breq: opcode: 1
Aug 19 18:07:36 a039hry-pc pumpd[902]: breq: hw: 1
Aug 19 18:07:36 a039hry-pc pumpd[902]: breq: hwlength: 6
Aug 19 18:07:36 a039hry-pc pumpd[902]: breq: hopcount: 0
Aug 19 18:07:36 a039hry-pc pumpd[902]: breq: id: 0xd3ec14a6
Aug 19 18:07:36 a039hry-pc pumpd[902]: breq: secs: 0
Aug 19 18:07:36 a039hry-pc pumpd[902]: breq: flags: 0x   0
Aug 19 18:07:36 a039hry-pc pumpd[902]: breq: ciaddr: 0.0.0.0
Aug 19 18:07:36 a039hry-pc pumpd[902]: breq: yiaddr: 0.0.0.0
Aug 19 18:07:36 a039hry-pc pumpd[902]: breq: server_ip:
0.0.0.0
Aug 19 18:07:36 a039hry-pc pumpd[902]: breq: bootp_gw_ip:
0.0.0.0
Aug 19 18:07:36 a039hry-pc pumpd[902]: breq: hwaddr:
Aug 19 18:07:36 a039hry-pc pumpd[902]: breq: servername:
Aug 19 18:07:36 a039hry-pc pumpd[902]: breq: bootfile:
Aug 19 18:07:36 a039hry-pc pumpd[902]: breq: vendor: 0x63
0x53 0x82 0x63
Aug 19 18:07:36 a039hry-pc pumpd[902]: breq: vendor:  57   2
0x 2 0x24
Aug 19 18:07:36 a039hry-pc pumpd[902]: breq: vendor:  55   6
0x 1 0x 3 0x 6 0x
Aug 19 18:07:36 a039hry-pc pumpd[902]: breq: vendor: ++++++
0x1c 0x c
Aug 19 18:07:36 a039hry-pc pumpd[902]: breq: vendor:  51   4
0x 0 0x 0 0x54 0x6
Aug 19 18:07:36 a039hry-pc pumpd[902]: breq: vendor:  53   1
0x 1
Aug 19 18:07:36 a039hry-pc pumpd[902]: breq: vendor: 0xff
Aug 19 18:08:06 a039hry-pc ifup: Operation failed.
Aug 19 18:08:06 a039hry-pc ifup: Operation failed.
Aug 19 18:08:06 a039hry-pc ifup:  failed.
Aug 19 18:08:06 a039hry-pc ifup:  failed.
Aug 19 18:08:06 a039hry-pc network: Bringing up interface
eth0 failed
Aug 19 18:08:06 a039hry-pc network: Bringing up interface
eth0 failed
Aug 19 18:07:36 a039hry-pc pumpd[902]: bresp: yiaddr:
134.177.67.197
Aug 19 18:07:36 a039hry-pc pumpd[902]: bresp: server_ip:
134.177.1.22
Comment 1 Michael K. Johnson 1999-09-25 00:47:59 EDT
Could you check to see if
ftp://ftp.redhat.com/pub/rawhide/i386/RedHat/RPMS/pump-0.7.2-2.i386.rpm
fixes the problem?  Please let us know either way.  Thanks!
Comment 2 tunacat 1999-10-05 20:50:59 EDT
Sorry for the delay - I lost control of the linux box I was using, and
had to borrow it.

I upgraded to the latest pump (I had to upgrade libnewt to get the
version to install).  Unfortunately, eth0 doesn't come up with this
version either.  Is there anything I'm missing, or is there perhaps
something funky with our DHCP servers?
Comment 3 Erik Troan 2000-02-03 11:50:59 EST
The pump on the errata should fix this.

Note You need to log in before you can comment on or make changes to this bug.